%define name perl-HTML-Parser
%define version 2.20
%define release 1
%define builddir $RPM_BUILD_DIR/%{name}-%{version}
Name:		%{name}
Version:	%{version}
Release:	1
Vendor:		Mailing List <libwww-perl@ics.uci.edu>
Source:         HTML-Parser-2.20.tar.gz
Group:		Utilities/Text
Copyright:	Free
Summary:	Perl HTML-Parser module
BuildRoot:	/var/tmp/HTML-Parser-root
Requires:	perl

%description
Collection of modules that parse HTML text documents

%changelog
* Wed Jul 22 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial RPM release

%prep
%setup -n HTML-Parser-2.20

%build
perl Makefile.PL
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/HTML
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/man/man3
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/i386-linux/auto/HTML/Parser
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/i386-linux/5.00404
make install PREFIX=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files
%doc README
/usr/lib/perl5/site_perl/HTML/Parser.pm
/usr/lib/perl5/site_perl/HTML/Entities.pm
/usr/lib/perl5/site_perl/HTML/Filter.pm
/usr/lib/perl5/site_perl/HTML/HeadParser.pm
/usr/lib/perl5/site_perl/HTML/LinkExtor.pm
/usr/lib/perl5/site_perl/HTML/TokeParser.pm
/usr/lib/perl5/man/man3/HTML::Parser.3
/usr/lib/perl5/man/man3/HTML::Entities.3
/usr/lib/perl5/man/man3/HTML::Filter.3
/usr/lib/perl5/man/man3/HTML::HeadParser.3
/usr/lib/perl5/man/man3/HTML::TokeParser.3
/usr/lib/perl5/man/man3/HTML::LinkExtor.3
/usr/lib/perl5/site_perl/i386-linux/auto/HTML/Parser/.packlist

